Skip to main content
POST
Create child ledger account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business.

accountId
string
required

The ID or stable_name of the parent ledger account.

Body

application/json

Parameters for creating a child ledger account. The child inherits account_type, account_subtype, and normality from its parent.

name
string
required

Display name of the child ledger account.

Example:

"Software Consulting"

stable_name
object
account_number
string | null

Optional account number for the ledger account.

Example:

"4010"

Response

The created child ledger account.

data
object
required

A single ledger account without nested children.